Bug 462254 - Review Request: perl-Catalyst-Plugin-Session-Store-FastMmap - FastMmap session storage backend
Review Request: perl-Catalyst-Plugin-Session-Store-FastMmap - FastMmap sessio...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On: perl-Cache-FastMmap
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-14 17:31 EDT by Iain Arnell
Modified: 2011-07-11 12:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-27 01:30:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-09-14 17:31:33 EDT
Spec URL: http://www.xs4all.nl/~iarnell/fedora/perl-Catalyst-Plugin-Session-Store-FastMmap.spec
SRPM URL: http://www.xs4all.nl/~iarnell/fedora/perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-1.fc9.src.rpm
Description: 
Catalyst::Plugin::Session::Store::FastMmap is a fast session storage plugin
for Catalyst that uses an mmap'ed file to act as a shared memory
interprocess cache. It is based on Cache::FastMmap.
Comment 1 Chris Weyl 2008-11-12 19:30:31 EST
Sorry for taking so long; I'd meant to pick up this review earlier but the Real Job has me busy lately :-)

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=929961

There are 2 missing BR's for tests, Test::Pod and Test::Pod::Coverage; both of these should be added as buildrequires.  perl(Path::Class) appears twice in the requires, due to an explicit requires statement; this doesn't harm anything but I'd suggest dropping the explicit requires from the spec.

The rpmlint warning you really can't do anything about :-)

=====> perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-1.fc9.noarch.rpm <=====
====> rpmlint
perl-Catalyst-Plugin-Session-Store-FastMmap.noarch: W: filename-too-long-for-joliet perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-1.fc9.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides for perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-1.fc9.noarch.rpm
perl(Catalyst::Plugin::Session::Store::FastMmap) = 0.05
perl-Catalyst-Plugin-Session-Store-FastMmap = 0.05-1.fc9
====> requires for perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-1.fc9.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Cache::FastMmap) >= 1.13
perl(Catalyst::Plugin::Session) >= 0.09
perl(Catalyst::Utils)  
perl(File::Spec)  
perl(NEXT)  
perl(Path::Class)  
perl(Path::Class)  
perl(base)  
perl(strict)  

Source matches upstream:
a5c28758a3a212fcc0f374110bc7855c  Catalyst-Plugin-Session-Store-FastMmap-0.05.tar.gz
a5c28758a3a212fcc0f374110bc7855c  Catalyst-Plugin-Session-Store-FastMmap-0.05.tar.gz.srpm

License (perl) is correct.

Make the requires/buildrequires changes at the top of this review, and I'll approve.
Comment 2 Iain Arnell 2008-11-12 21:53:13 EST
Thanks, Chris. New spec and srpm to enable the pod tests and remove the duplicate requires.

Spec URL:
http://www.xs4all.nl/~iarnell/fedora/perl-Catalyst-Plugin-Session-Store-FastMmap.spec
SRPM URL:
http://www.xs4all.nl/~iarnell/fedora/perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-2.fc9.src.rpm
Comment 3 Chris Weyl 2008-11-13 00:13:39 EST
APPROVED
Comment 4 Iain Arnell 2008-11-13 00:32:34 EST
New Package CVS Request
=======================
Package Name: perl-Catalyst-Plugin-Session-Store-FastMmap
Short Description: FastMmap session storage backend
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 5 Kevin Fenzi 2008-11-14 00:35:54 EST
cvs done.
Comment 6 Fedora Update System 2008-11-14 12:23:35 EST
perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-2.fc9
Comment 7 Fedora Update System 2008-11-14 12:23:38 EST
perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-2.fc10
Comment 8 Fedora Update System 2008-11-19 09:48:30 EST
perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Catalyst-Plugin-Session-Store-FastMmap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9711
Comment 9 Fedora Update System 2008-11-22 11:56:28 EST
perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Catalyst-Plugin-Session-Store-FastMmap'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/f10/FEDORA-2008-10000
Comment 10 Fedora Update System 2008-12-06 23:19:55 EST
perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-12-06 23:21:12 EST
perl-Catalyst-Plugin-Session-Store-FastMmap-0.05-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Iain Arnell 2011-07-11 11:54:36 EDT
Package Change Request
======================
Package Name: perl-Catalyst-Plugin-Session-Store-FastMmap
New Branches: el6
Owners: iarnell
Comment 13 Gwyn Ciesla 2011-07-11 12:01:17 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.